const state = {
    invoices: [],
    filteredInvoices: [],
    selectedInvoices: null
}

const getters = {
    invoices (state) {
        return state.filteredInvoices.length === 0 ? state.invoices : state.filteredInvoices
    },
    selectedInvoices(state) {
        return state.selectedInvoices
    },
    haSelectedInvoices(state) {
        return !!state.selectedInvoices
    }
}

const mutations = {
    pushInvoices(state, payload) {
        state.invoices = payload.invoices
    },
    selectInvoice (state, payload){
        state.selectedInvoices = payload.invoice
    }
}

const actions = {
    pushInvoices ({commit, dispatch }, payload){
        commit('pushInvoices', {
            invoices: payload.invoices
        })
    },
    selectInvoice ({ commit, dispatch}, payload) {
        commit('selectInvoice',{
            invoice: payload
        })
    }

}
export default {
    state,
    getters,
    mutations,
    actions
}
